| Irrlicht 3D Engine |

Namespaces | Enumerations | Variables
EShaderTypes.h File Reference
`#include "irrTypes.h"`

Go to the source code of this file.

## Namespaces

- namespace irr

    Everything in the Irrlicht Engine can be found in this namespace.

- namespace irr::video

    The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.

## Enumerations

- enum irr::video::E_GEOMETRY_SHADER_TYPE { irr::video::EGST_GS_4_0 = 0, irr::video::EGST_COUNT }
    Enum for supported geometry shader types. More...
- enum irr::video::E_PIXEL_SHADER_TYPE {
  irr::video::EPST_PS_1_1 = 0, irr::video::EPST_PS_1_2, irr::video::EPST_PS_1_3, irr::video::EPST_PS_1_4,
  irr::video::EPST_PS_2_0, irr::video::EPST_PS_2_a, irr::video::EPST_PS_2_b, irr::video::EPST_PS_3_0,
  irr::video::EPST_PS_4_0, irr::video::EPST_PS_4_1, irr::video::EPST_PS_5_0, irr::video::EPST_COUNT
  }
    Compile target enumeration for the addHighLevelShaderMaterial() method. More...
- enum irr::video::E_VERTEX_SHADER_TYPE {
  irr::video::EVST_VS_1_1 = 0, irr::video::EVST_VS_2_0, irr::video::EVST_VS_2_a, irr::video::EVST_VS_3_0,
  irr::video::EVST_VS_4_0, irr::video::EVST_VS_4_1, irr::video::EVST_VS_5_0, irr::video::EVST_COUNT
  }
    Compile target enumeration for the addHighLevelShaderMaterial() method. More...

## Variables

- const c8 *const irr::video::GEOMETRY_SHADER_TYPE_NAMES []
    String names for supported geometry shader types.
- const c8 *const irr::video::PIXEL_SHADER_TYPE_NAMES []
    Names for all pixel shader types, each entry corresponds to a E_PIXEL_SHADER_TYPE entry.
- const c8 *const irr::video::VERTEX_SHADER_TYPE_NAMES []
    Names for all vertex shader types, each entry corresponds to a E_VERTEX_SHADER_TYPE entry.